Bug 62292 - Xmms in panel is configured incorrectly
Xmms in panel is configured incorrectly
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: xmms (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 03:49 EST by Need Real Name
Modified: 2013-03-05 22:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 14:26:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-29 03:49:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/00200203

Description of problem:
when I choose xmms from the "foot" the panel... programs > Multimedia > XMMS.
Xmms appears but when I try to start playing an mp3 I get an error that says it
"Couldn't open audio". When I do "xmms" from the command line everything works
fine.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.click on the "foot" in panel
2.click on Programs > Multimedia > Xmms
3.
	

Actual Results:  opens Xmms but the %F causes problems

Expected Results:  I expected xmms to play an mp3

Additional info:

here's the fix I niticed that from the panel you are starting xmms with  "xmms
%F". It doesn't work. Plain "xmms" works though. I'm running an updated skipjack
so it might be a problem withe rpm not updating the panel entry.
Comment 1 Bill Nottingham 2002-04-09 13:03:51 EDT
This works fine for me, no matter which way I start it. What sound device are
you using? Are you using ESD, OSS, or arts?
Comment 2 Need Real Name 2002-04-16 01:24:00 EDT
Here is more info... Sorry it took so long to reply.

This is what I get in Bash...

[shad@localhost shad]$ xmms
esd: Esound sound deamon already running or stale UNIX socket
/tmp/.esd/socket
This socket already exists inticating esd is already running.
Exiting...

This is what I get in an X pop up...

Couldn't open audio

Please check that:

1. You have the correct output plugin selected
2. No other programs is blocking the soundcard
3. Your soundcard is configured properly

The xmms program is visable but when I click on the play arrow to play an mp3 is
where I get the errors.

also, my testing is being done on a Thinkpad 560. And during install my
soundcard was not detected. I used a sndconfig to get it working (which also
didn't automaticly detect my soundcard soundblaster).

here's a setting that did work

soundblaster I/O Port 0x220 IRQ 7 DMA 1


Comment 3 Bill Nottingham 2002-04-16 01:45:07 EDT
What does 'pidof esd' say?
Comment 4 Need Real Name 2002-04-16 02:23:12 EDT
What does 'pidof esd' say?

[shad@localhost shad]/sbin/pidof esd

[shad@localhost shad]/sbin/pidof rxvt
1895 900


(/sbin/pidof esd) Doesn't show anything, but (/sbin/pidof rxvt) does work
Comment 5 Bill Nottingham 2002-04-16 02:57:23 EDT
Try, as root, 'rm -f /tmp/.esd/socket'
Comment 6 Need Real Name 2002-04-16 03:07:34 EDT
Try, as root, 'rm -f /tmp/.esd/socket'

I don't have a folder /tmp/.esd
Comment 7 Colin Walters 2004-09-27 15:22:35 EDT
Can you still reproduce this problem with a newer release like Fedora
Core 2?

If so, try this:
mv ~/.xmms ~/.xmms-backup
Comment 8 Bill Nottingham 2006-10-18 14:26:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
If this issue is still present in a current Fedora Core release, please
open a new bug with the relevant information.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.